/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstock.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workcatalogueitem.entity.WorkCatalogueItem;
import com.jeeplus.modules.workcatalogueitemstock.entity.WorkCatalogueItemStock;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;
import com.jeeplus.modules.workitemstock.entity.WorkItemStock;
import org.activiti.engine.history.HistoricProcessInstance;
import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.runtime.ProcessInstance;
import org.activiti.engine.task.Task;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 物品采购Entity
 * @author lw
 * @version 2018-07-13
 */
public class WorkStock extends ActEntity<WorkStock> {
	private static final long serialVersionUID = 1L;
	//通知类型 61
	public static final String SERIAL_BIZCODE = "13";
	private String processInstanceId;		// 流程号
	private String officeId;		// 部门
	private String companyId;		// 公司
	private String status;		// 状态
	private String number;		// 采购编号
	private String reason;		// 申请事由
	private Date acceptDate;		// 验收日期
	private String acceptName;		// 验收人
	private String officeName;       //所属部门
	private String home;       //跳转首页标记
	private Date beginContractDate;		// 开始
	private Date endContractDate;		// 结束
	private List<WorkClientAttachment> workAttachments = Lists.newArrayList();   //106
	private List<WorkCatalogueItemStock> workCatalogueItemStocks = Lists.newArrayList();  //物品申请列表
	private List<WorkItemStock> workItemStocks = Lists.newArrayList();  //物品验收列表
	private List<WorkItemStock> workItemStockAssets = Lists.newArrayList();  //固定资产列表
	// 流程任务
	private Task task;
	private Map<String, Object> variables;
	// 运行中的流程实例
	private ProcessInstance processInstance;
	// 历史的流程实例
	private HistoricProcessInstance historicProcessInstance;
	// 流程定义
	private ProcessDefinition processDefinition;
	public WorkStock() {
		super();
	}

	public WorkStock(String id){
		super(id);
	}

	@ExcelField(title="流程号", align=2, sort=7)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@ExcelField(title="部门", align=2, sort=8)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="公司", align=2, sort=9)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="状态", align=2, sort=10)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="采购编号", align=2, sort=11)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@ExcelField(title="申请事由", align=2, sort=12)
	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}

	public Date getBeginContractDate() {
		return beginContractDate;
	}

	public void setBeginContractDate(Date beginContractDate) {
		this.beginContractDate = beginContractDate;
	}

	public Date getEndContractDate() {
		return endContractDate;
	}

	public void setEndContractDate(Date endContractDate) {
		this.endContractDate = endContractDate;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public List<WorkCatalogueItemStock> getWorkCatalogueItemStocks() {
		return workCatalogueItemStocks;
	}

	public void setWorkCatalogueItemStocks(List<WorkCatalogueItemStock> workCatalogueItemStocks) {
		this.workCatalogueItemStocks = workCatalogueItemStocks;
	}

	public List<WorkItemStock> getWorkItemStockAssets() {
		return workItemStockAssets;
	}

	public void setWorkItemStockAssets(List<WorkItemStock> workItemStockAssets) {
		this.workItemStockAssets = workItemStockAssets;
	}

	public List<WorkItemStock> getWorkItemStocks() {
		return workItemStocks;
	}

	public void setWorkItemStocks(List<WorkItemStock> workItemStocks) {
		this.workItemStocks = workItemStocks;
	}

	public Task getTask() {
		return task;
	}

	public void setTask(Task task) {
		this.task = task;
	}

	public Map<String, Object> getVariables() {
		return variables;
	}

	public void setVariables(Map<String, Object> variables) {
		this.variables = variables;
	}

	public ProcessInstance getProcessInstance() {
		return processInstance;
	}

	public void setProcessInstance(ProcessInstance processInstance) {
		this.processInstance = processInstance;
	}

	public HistoricProcessInstance getHistoricProcessInstance() {
		return historicProcessInstance;
	}

	public void setHistoricProcessInstance(HistoricProcessInstance historicProcessInstance) {
		this.historicProcessInstance = historicProcessInstance;
	}

	public ProcessDefinition getProcessDefinition() {
		return processDefinition;
	}

	public void setProcessDefinition(ProcessDefinition processDefinition) {
		this.processDefinition = processDefinition;
	}

	@ExcelField(title="验收日期", align=2, sort=13)
	public Date getAcceptDate() {
		return acceptDate;
	}

	public void setAcceptDate(Date acceptDate) {
		this.acceptDate = acceptDate;
	}
	
	@ExcelField(title="验收人", align=2, sort=14)
	public String getAcceptName() {
		return acceptName;
	}

	public void setAcceptName(String acceptName) {
		this.acceptName = acceptName;
	}
	
}